/*!
 * FIle CSS per classi CUSTOM 
 * Da utilizzare per aggiungere classi una volta online o per cose che non modificanno Bootstrap
 * 
 */

/* EXTRA 
--------------------------------------------------*/

html {
    scroll-timeline: --page-scroll block;
}

:root {
    --height-menu: 105px;
    --screen-h: calc(100vh - var(--height-menu));

    /* Button */
    --btn-radius: 10px;
    --btn-padding: 10px 25px;
    --btn-font-size: 20px;
    --btn-font-weight: 400;

    /* Footer Color */
    --bg-footer: var(--bs-primary);
    --text-footer: #ffffff;

    /* Colori header */
    --header-color: var(--bs-body-color);
    --bb-h1-color: var(--header-color) !important;
    --bb-h2-color: var(--header-color) !important;
    --bb-h3-color: var(--header-color) !important;
}

#scroll-top {
    display: none;

    position: fixed;
    right: 30px;
    bottom: 30px;
    z-index: 99;

    border-radius: 50%;
    border: var(--bs-primary) solid 2px;
    background-color: transparent;
    color: var(--bs-primary);
    font-size: 20px;

    padding: 6px 10px;

    transition: all 0.5s;
}

.side-menu a {
    color: black !important;
    cursor: pointer;

    &:hover {
        color: var(--bs-primary) !important;
    }
}

@media (max-width: 564px) {
    .sticky-top {
        position: relative;
    }

    :root {
        --height-menu: 0;
    }
}

@keyframes grow-progress {
    from {
        transform: scaleX(0);
    }

    to {
        transform: scaleX(1);
    }
}

#progress {
    position: fixed;
    left: 0;
    top: var(--height-menu);
    width: 100%;
    height: 0.5em;
    background: var(--bs-secondary);

    transform-origin: 0 50%;
    animation: grow-progress auto linear;
    animation-timeline: --page-scroll;
    z-index: 2;
}

.search-icon {
    color: var(--bs-secondary);
    font-size: 1.2rem;
    margin-left: 5px;
}

.bg-title {
    -webkit-text-fill-color: transparent;
    -webkit-text-stroke: 2px #ffffff;
    opacity: 20%;
    text-transform: uppercase;
    position: absolute;
    font-weight: 900;

    font-size: clamp(1rem, 1rem + 15vw, 15rem);
}

.divider-primary {
    height: 10px;
    width: 100%;
    background-color: var(--bs-primary);
}

.divider-secondary {
    height: 10px;
    width: 100%;
    background-color: var(--bs-secondary);
}

/* Dark mode switch */

.switch {
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
}

.switch .light {
    background-color: rgb(235, 245, 255);
}

.switch .dark {
    background-color: rgb(24, 24, 24);
    display: none;
}

.switch .dark,
.switch .light {
    padding: 10px;
    border-radius: 50%;
    cursor: pointer;
}

.switch .dark::before,
.switch .light::before {
    font-size: 20px;
    display: block;
}

.switch:hover .light {
    background-color: rgb(24, 24, 24);
    color: rgb(235, 245, 255);
}

.text-animate {
    font-size: 10vw;
    color: transparent;
    -webkit-text-stroke: 2px #000000;
}

.number-counterup {
    text-align: center;
    font-size: 5rem;
}

@media (max-width: 768px) {
    .number-counterup {
        font-size: 3rem;
    }
}

.arrow-up {
    transform: rotate(-45deg);
}

.arrow-down {
    transform: rotate(45deg);
}

.title-chi-siamo {
    display: flex;
    justify-content: end;
}

.title-chi-siamo h2 {
    width: fit-content;
    position: relative;
}

.title-chi-siamo i {
    position: absolute;
    top: 0;
    left: 0;
    font-size: 4rem;
    color: var(--bs-primary);
}

/* FONT 
--------------------------------------------------*/

h1,
h2,
h3,
h4,
h5,
h6,
.h1,
.h2,
.h3,
.h4,
.h5,
.h6 {
    font-family: "Sora", sans-serif;
    font-weight: 500;
}

body {
    font-family: "Sora", sans-serif;
    font-weight: 300;
    word-wrap: break-word;
}

.alt-text {
    font-family: "Titolo, sans-serif";
}

header .nav-item a,
header .nav-item .dropdown-toggle {
    font-family: "Sora", sans-serif;
    font-weight: 500;
    text-transform: uppercase;
    font-size: 18px;
    padding: 10px 20px !important;
}

header .nav-item a.is-active {
    color: var(--bs-secondary) !important;
}

header .dropdown-item a {
    text-transform: none;
}

.position-md-absolute {
    position: absolute;
}

@media (max-width: 768px) {
    .position-md-absolute {
        position: relative;
    }
}

.container-fluid:not(.p-0) {
    max-width: 2000px;
}

/* HEADER 
--------------------------------------------------*/

/* Style */

.dropdown-menu {
    border-radius: 0px;
    border: none;
    box-shadow: rgba(0, 0, 0, 0.1) 0px 10px 15px -3px, rgba(0, 0, 0, 0.05) 0px 4px 6px -2px;
}

.dropdown-item {
    padding: 0 !important;
}

.dropdown-item.active,
.dropdown-item:active {
    background-color: var(--bs-primary);
}

.dropdown-item a {
    color: #000000;
    font-weight: 400;

    border-radius: 0;
    padding: 10px 20px;
    width: 100%;
    display: block;

    &:hover {
        color: var(--bs-primary);
    }
}

/* animate */

header {
    transition: all 1s;
    position: static;
    z-index: 99;
}

header.animate-fade-in {
    position: sticky;
    top: 0;
    width: 100%;
    z-index: 99;
    transform: translateY(-10px);
    animation: header-animation 1s ease forwards;
}

@keyframes header-animation {
    from {
        transform: translateY(-100px);
    }

    to {
        transform: translateY(0);
    }
}

/* transparent */

.transparent-header {
    position: fixed;
    width: 100%;
}

.transparent-header nav {
    background: transparent !important;
}

/* animate-transparent */

.animate-transparent-header {
    position: absolute;
    width: 100%;
}

.animate-transparent-header nav {
    background: transparent !important;
}

.animate-transparent-fade-in {
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 99;
    transform: translateY(-10px);
    animation: header-animation 1s ease forwards;
    background: var(--bs-primary);
}

/* Fade In elements 
------------------------------------------------- */

.fade-in-right,
.fade-in-left,
.fade-in-top,
.fade-in-bottom {
    opacity: 0;
    transition: opacity 1s ease, transform 1s ease;
    will-change: opacity, transform;
}

.fade-in-right {
    transform: translateX(100%);
}

.fade-in-left {
    transform: translateX(-100%);
}

.fade-in-top {
    transform: translatey(-100%);
}

.fade-in-bottom {
    transform: translatey(100%);
}

.fade-in-zoom {
    transform: scale(0);
    opacity: 0;
    transition: opacity 1s ease, transform 1s ease;
}

.fade-in-zoom.visible {
    transform: scale(100%);
    opacity: 1;
}

.fade-in-left.visible,
.fade-in-right.visible,
.fade-in-top.visibile,
.fade-in-bottom.visible {
    opacity: 1;
    transform: translate(0, 0);
}

/* BLOG 
--------------------------------------------------*/

.tag-field .field {
    margin: 0;
}

.tag-field .field__items li {
    padding: 0 5px !important;
    margin: 0 3px;
    background-color: var(--bs-secondary);
    border-radius: 5px;
}

/* HOME 
--------------------------------------------------*/

/* Carousel home */

.slick-track {
    text-align: inherit !important;
}

.carousel-home {
    overflow: hidden;
}

.carousel-home .carousel-child {
    position: relative;
}

.carousel-home .text-carousel {
    text-align: center;
    height: 100%;
    flex-direction: column;
    display: flex;
    align-items: center;
    justify-content: center;
}

.carousel-home .slick-slide img {
    width: 100%;
    object-fit: cover;
    position: absolute;
    z-index: -1;
}

.carousel-home .slick-slide img,
.carousel-home .slick-slide,
.carousel-home .carousel-child {
    height: calc(100vh - var(--height-menu)) !important;
}

.carousel-home .slick>div {
    margin: 0 !important;
}

@media (max-width: 564px) {

    .carousel-home .slick-slide img,
    .carousel-home .slick-slide,
    .carousel-home .carousel-child {
        height: 50vh !important;
    }
}

/* Carousel single text */

.carousel-home-single-text {
    overflow: hidden;
}

.carousel-home-single-text .single-text {
    position: absolute;
    z-index: 2;
    right: 0;
    width: 50%;
    padding: 30px;
    background-color: rgba(240, 255, 255, 0.466);
}

.carousel-home-single-text .carousel-child {
    position: relative;
}

.carousel-home-single-text .slick-slide img {
    width: 100%;
    object-fit: cover;
    position: absolute;
    z-index: -1;
}

.carousel-home-single-text .slick-slide img,
.carousel-home-single-text .slick-slide,
.carousel-home-single-text .carousel-child,
.carousel-home-single-text .single-text {
    height: calc(100vh - var(--height-menu)) !important;
}

.carousel-home-single-text .slick>div {
    margin: 0 !important;
}

@media (max-width: 564px) {

    .carousel-home-single-text .slick-slide img,
    .carousel-home-single-text .slick-slide,
    .carousel-home-single-text .carousel-child,
    .carousel-home-single-text .single-text {
        height: 50vh !important;
    }
}

/* Carousel home review */

.carousel-home-review .carousel-child .box {
    background-color: white;
    margin: 20px;
    padding: 30px 20px;
    display: flex;
    align-items: center;
    flex-direction: column;
}

.carousel-home-review .carousel-child .text-box {
    margin-top: 15px;
}

.carousel-home-review .carousel-child .stars {
    color: rgb(255, 196, 0);
    margin: 10px 0;
}

.carousel-home-review .slick-prev.slick-arrow::before {
    content: "\f104" !important;
    font-family: "FontAwesome" !important;
}

.carousel-home-review .slick-next.slick-arrow::before {
    content: "\f105" !important;
    font-family: "FontAwesome" !important;
}

.carousel-home-review .slick-prev {
    left: -100px;
}

.carousel-home-review .slick-next {
    right: -100px;
}

.carousel-home-review .slick-arrow {
    height: auto !important;
    width: auto !important;
    border-radius: 0 !important;
    padding: 30px 20px !important;
    background-color: transparent;

    &:hover {
        filter: brightness(0.8) !important;
    }
}

.carousel-home-review .slick-arrow::before {
    opacity: 1 !important;
}

/* Parallax */

.parallax-container {
    background-image: url(/sites/default/files/images/sfondo-parallasse-test.webp);
    background-repeat: no-repeat;
    background-size: cover;
    background-attachment: fixed;

    padding: 30px 0;
}

/* .parallax-title {
    position: sticky;
    top: var(--height-menu);
    z-index: 2;
} */

.parallax-title h2 {
    padding: 10vh 0;
    font-size: 10vw;
    text-align: center;
    color: #ffffff;
    text-shadow: #0000006a 0 1px 30px;
}

.container-child {
    display: flex;
    flex-direction: column;
    row-gap: 30vh;
}

.parallax-child {
    position: sticky;
    top: 30vh;
    z-index: 0;
    padding: 10vh 0;
}

.parallax-child .row {
    padding: 50px 30px;
    background-color: #000000;
    color: #ffffff;

    border-radius: 30px;
}

.parallax-child h3 {
    text-align: center;
    font-size: 10rem;
}

@media (max-width: 768px) {
    .parallax-child .row {
        padding: 3vh 0;
    }

    .parallax-child {
        position: sticky;
        top: 10vh;
    }
}

/* Carousel */

/*
--------------------------------------------------*/

.slick-3-slide .slide {
    margin: 20px;
}

/* Arrow carousel */

.slick-prev.slick-arrow::before {
    content: "\f104" !important;
    font-family: "FontAwesome" !important;
}

.slick-next.slick-arrow::before {
    content: "\f105" !important;
    font-family: "FontAwesome" !important;
}

.slick-arrow::before {
    color: var(--bs-secondary) !important;
}

.slick-prev {
    left: -30px !important;
}

.slick-next {
    right: -30px !important;
}

.slick-arrow {
    height: auto !important;
    width: auto !important;
    border-radius: 0 !important;
    padding: 30px 20px !important;
    background-color: transparent;
    color: var(--bs-primary);
    z-index: 10;

    &:hover {
        filter: brightness(0.8) !important;
    }
}

.slick-arrow::before {
    opacity: 1 !important;
}

/* IMAGES */

.slick-images-slide .slick-prev {
    left: 50px !important;
}

.slick-images-slide .slick-next {
    right: 50px !important;
}

.slick-images-slide .carousel-child {
    aspect-ratio: 5/3;
    overflow: hidden;
}

.slick-images-slide img {
    height: 100% !important;
    width: 100% !important;
    object-fit: cover;
}

.slick-images-slide .slick-dots {
    bottom: 30px !important;
}

/*  */

.slick-recensioni-slide:not(.view--blazy) {
    padding: 0 30px;
}

.slick-recensioni-slide .carousel-child span {
    display: block;
}

.slick-recensioni-slide .carousel-child span::before {
    content: '\f005';
    font-family: 'Fontawesome';
    display: block;
    color: rgb(255, 213, 0);
}

.slick-recensioni-slide .carousel-child .stelle {
    display: flex;
    gap: 5px;
    margin: 10px;
}

.slick-recensioni-slide .carousel-child img {
    height: 100px;
    margin-bottom: 10px;
}

.slick-recensioni-slide .carousel-child .box {
    margin: 20px;
    padding: 20px;
    background-color: var(--bs-white);
    height: 100%;
    display: flex !important;
    flex-direction: column;
    align-items: center;
}

/*  */

.cover-img::after {
    content: "";
    position: absolute;
    display: block;
    height: 100%;
    width: 100%;
    top: 0;
    left: 0;
    background-color: rgb(0, 0, 0, 0.3);
    z-index: -1;
}


/* COOKIE BANNER
--------------------------------------------------*/

#sliding-popup {
    background-color: var(--bs-gray-200) !important;
    padding: 20px;
    border-top: 3px var(--bs-gray-400) solid;
}

.eu-cookie-compliance-banner .eu-cookie-compliance-message,
.eu-cookie-compliance-banner .eu-cookie-compliance-message h2,
.eu-cookie-compliance-banner .eu-cookie-compliance-message p {
    color: #000000 !important;
}

.eu-cookie-compliance-message button {
    color: var(--bs-primary);
}

.agree-button {
    border: solid var(--bs-primary) 3px;
    color: var(--bs-primary);
    padding: 10px 15px;
    background-color: none;
    font-size: 600;

    &:hover {
        border: solid var(--bs-green) 3px;
        background-color: var(--bs-green);
        color: var(--bs-black);

    }
}

.decline-button {
    border: solid var(--bs-gray-400) 3px;
    border-radius: 0;
    padding: 10px 15px;
    background: var(--bs-gray-300);
    text-shadow: none;
    box-shadow: none;
    font-weight: 400;
}

.eu-cookie-compliance-default-button:hover {
    border: solid var(--bs-red) 3px;
    background: var(--bs-red);
    color: var(--bs-white);
}

/* SWIPER
--------------------------------------------------*/

.swiper-slide {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
}

.swiper-home {
    width: 100%;
    height: 100vh;
    overflow: hidden;
}

.swiper-home .bg-img {
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    height: 100%;
    background-attachment: fixed;
    position: relative;
}

.number .swiper-home .swiper-pagination {
    font-size: 16px;
    width: auto;
    right: 30px;
    left: auto;
    color: var(--bs-white);
}

.number .swiper-home .swiper-pagination-current {
    font-size: 50px;
}

.number .swiper-home .swiper-pagination-total {
    font-size: 30px;
}

.swiper-home .swiper-button-next,
.swiper-home .swiper-button-prev {
    color: var(--bs-white);
    padding: 30px;
}

.swiper-home .swiper-button-prev::after {
    content: '\f104';
    font-family: 'Fontawesome';
}

.swiper-home .swiper-button-next::after {
    content: '\f105';
    font-family: 'Fontawesome';
}



.p-right-0 {
    padding-right: 0;
}

.p-right-5 {
    padding-right: 5;
}

.img-banner {
    height: 200px;
    object-fit: cover;
    width: 100%;
}


/* PORTFOLIO
--------------------------------------------------*/

.portfolio-item .servizi a,
.portfolio-view .servizi a {
    padding: 10px 20px;
    border-radius: 5px;
    color: var(--bs-white);
    display: inline-block;
    background-color: var(--bs-secondary);
}

.portfolio-item .servizi,
.portfolio-view .servizi {
    display: flex;
    gap: 10px;
    flex-wrap: wrap;
}

.portfolio-view img {
    object-fit: cover;
    height: 100%;
    width: 100%;
    aspect-ratio: 4 / 3;
}

#carousel-portfolio img {
    height: 100%;
    width: 100%;
    object-fit: cover;
    aspect-ratio: 5/3;
}